library(PMCMR)
library(PMCMRplus)

##per trial (4 per animal)
n <- c(2,1,97, 27,0,35,2,2,77,0,0,50)
a <- c("c","g","s","c","g","s","c","g","s","c","g","s")
a <- as.factor(a)

kruskal.test(n~a)
pairwise.wilcox.test(n,a, p.adjust.method = "none" )

new = as.data.frame(cbind(n,a))
aggregate(new, list(new$a), sum)
aggregate(new, list(new$a), mean)
aggregate(new, list(new$a), sd)

12.8679188/ sqrt(4) #c
0.9574271/ sqrt(4) #g
27.6450719/ sqrt(4) #s

##per trial (4 per animal) und ohne unbekannte Samen
n <- c(2,1,95, 27,0,34,2,2,77,0,0,50)
a <- c("c","g","s","c","g","s","c","g","s","c","g","s")
a <- as.factor(a)

kruskal.test(n~a)
pairwise.wilcox.test(n,a, p.adjust.method = "none" )

new = as.data.frame(cbind(n,a))
aggregate(new, list(new$a), sum)
aggregate(new, list(new$a), mean)
aggregate(new, list(new$a), sd)

12.8679188/ sqrt(4) #c
0.9574271 / sqrt(4) #g
27.2396769/ sqrt(4) #s

#per collection date(8 per animal)
b <- c(2,0,55,0,1,42,24,0,19,3,0,16,2,2,69,0,0,8,0,0,28,0,0,22)
c <- c("c","g","s","c","g","s","c","g","s","c","g","s","c","g","s","c","g","s","c","g","s","c","g","s") 
c = as.factor(c)

kruskal.test(b~c)
pairwise.wilcox.test(b,c, p.adjust.method = "none" )

new = as.data.frame(cbind(b,c))
aggregate(new, list(new$c), mean)
aggregate(new, list(new$c), sd)

8.219/sqrt(8)
0.744/sqrt(8)
21.164/sqrt(8)

#per collection date(8 per animal) und ohne 3 unbekannte Samen
b <- c(2,0,54,0,1,41,24,0,18,3,0,16,2,2,69,0,0,8,0,0,28,0,0,22)
c <- c("c","g","s","c","g","s","c","g","s","c","g","s","c","g","s","c","g","s","c","g","s","c","g","s") 
c = as.factor(c)

kruskal.test(b~c)
posthoc.kruskal.conover.test(b~c)

new = as.data.frame(cbind(b,c))
aggregate(new, list(new$c), sum)
aggregate(new, list(new$c), mean)
aggregate(new, list(new$c), sd)

8.2190980/sqrt(8)
0.7440238/sqrt(8)
20.9693654/sqrt(8)

#per collection date(8 per animal) und ohne 3 unbekannte Samen
b <- c(2,0,54,0,1,41,24,0,18,3,0,16,2,2,69,0,0,8,0,0,28,0,0,22)
d <- c("1","1","1","2","2","2","1","1","1","2","2","2","1","1","1","2","2","2","1","1","1","2","2","2") #early and late trial
d = as.factor(d)
e <- c("1", "1","1", "1","1", "1","1", "1","1", "1","1", "1","2","2","2","2","2","2","2","2","2","2","2","2") #year
e = as.factor(e)
f <- c("1", "1","1", "1","1","1","2","2","2","2","2","2","1", "1","1", "1","1","1","2","2","2","2","2","2") #monat
f = as.factor(f)

wilcox.test(b ~ d, paired = T, exact = F)
wilcox.test(b ~ e, paired = T, exact = F)
wilcox.test(b ~ f, paired = T, exact = F)