#packages & Info
require(readxl)
require(tidyr)
require(ggcorrplot)
require(MASS)
require(effects)
require(DHARMa)
require(jtools)
require(pscl)
# https://www.politikwissenschaften.ch/blog.php?id=25 
# https://www.researchgate.net/publication/268577547_Dealing_with_under-_and_over-dispersed_count_data_in_life_history_spatial_and_community_ecology

########### Data Traits & Seednumber + cleaning #####
traits <-read_excel(path = "../Data/6) Merkmale01.xlsx", na = "NA", sheet = 3, col_names = T)
traits <- as.data.frame(traits)
names <- traits$Art 
rownames(traits) <- names
summary(traits)
traits$Art = NULL
set.seed(123)

#correlations  - no strong correlations
# model.matrix(~0+., data=traits) %>%
#   cor(use="pairwise.complete.obs") %>%
#   ggcorrplot(show.diag = F, type="lower", lab=TRUE, lab_size=2) ## no significant correlations

#as.factor
traits$Preference <- as.factor(traits$Preference)
traits$SB <- as.factor(traits$SB)
#missing values for non categorial data -- Mean 
traits$AbuSn[which(is.na(traits$AbuSn))] = mean(traits$AbuSn, na.rm =T)
traits$AbuSn <- scale(traits$AbuSn)
traits$SM[which(is.na(traits$SM))] = mean(traits$SM, na.rm =T)
traits$SM <- scale(traits$SM)
traits$CanH[which(is.na(traits$CanH))] = mean(traits$CanH, na.rm =T)
traits$CanH <- scale(traits$CanH)
summary(traits)
########################## ---------------- SHEEP --------------------- ##########################################
traitsS <- traits
traitsS$TotalseedG <- NULL #Seeds Goat
traitsS$TotalseedC <- NULL #Seeds Cattle

#### Model Sheep #### 
model.nb <- glm.nb(TotalseedS  ~ ., data = traitsS)
summary(model.nb)
summ(model.nb, exp = T)

plot(allEffects(model.nb))
fit <- simulateResiduals(model.nb, plot = T) #no problems detected
testDispersion(fit, plot = T) #ok

########################## ---------------- GOAT --------------------- ##########################################
traitsG <- traits
traitsG$TotalseedS <- NULL # Seeds Sheep
traitsG$TotalseedC <- NULL # Seeds Cattle

#### Model Goat ####
model.nb <- glm.nb(TotalseedG  ~ ., data = traitsG)
summary(model.nb)
summ(model.nb, exp = T)

plot(allEffects(model.nb))
fit <- simulateResiduals(model.nb, plot = T) # no problems detected 
testDispersion(fit, plot = T) #ok
########################## ---------------- CATTLE --------------------- ##########################################
traitsC <- traits
traitsC$TotalseedS <- NULL # Seeds Sheep
traitsC$TotalseedG <- NULL # Seeds Goat

#### Model Cattle####
model.nb <- glm.nb(TotalseedC  ~ ., data = traitsC)
summary(model.nb)
summ(model.nb, exp = T)

plot(allEffects(model.nb))
fit <- simulateResiduals(model.nb, plot = T) # no problems detected
testDispersion(fit, plot = T) #ok

