# https://www.rdocumentation.org/packages/FD/versions/1.0-12/topics/functcomp 
library("readxl")
library(PerformanceAnalytics)
library(FD)

#Vegetation
L <- read_excel(path = "../Data/1) allpatches_MW.xlsx", col_names = T, sheet =1) #Vegdaten
table(L$Area)
L <- L[, -c(2:7)] #Parameter rausnehmen
L = as.data.frame(L)

L2 <- L[, -1] #Flaechen als rownames
rownames (L2) <- L [,1]
L = L2

for(i in 1:ncol(L)){
  L[,i] <- as.numeric(as.character(L[,i])) #alle Daten als numeric, da manche als integer eingelesen werden 
} 
Veg <- as.matrix(L) #Veg fuer functcomp als matrix ben?tigt 

#Tabelle "Arten IV"
EIV <-  read_excel(path = "./Input/1) allpatches_MW.xlsx", col_names = T, sheet =2) #Werte fuer einzelne Arten
EIV = as.data.frame(EIV)
for(i in 2:7) {
  EIV[,i] <- as.numeric(as.character(EIV[,i])) #NAs werden behalten # as.numeric fuer Berechnung
} 

EIV2 <- EIV[, -1] #Arten als rownames
rownames (EIV2) <- EIV [,1]
EIV = EIV2

#correlationen test
# EIVco = EIV [,1:6]
# chart.Correlation(EIVco, histogram = T, method = "kendall") #keine Kor. über 0.7

#Checken ob alle Arten am gleichen Ort
which (c(colnames(Veg)) %in% c(rownames(EIV) == F)) # im Vorfeld, da functcomp gleiche Benennung braucht 

list <- list(EIV = EIV, Veg = Veg) # zusammenfügen zu Liste für functcomp
cwm <- functcomp(list$EIV, list$Veg, CWM.type = "all") #community-level weighted means (CWM) #Prozentwerte aus FD packages
write.csv(cwm, file = "Output/2) EIV_MW.csv")

#### !!!!!!!   Output wird in allpatches_data Tabelle 3 eingefügt für NMDS !!!!!!!!!!! ###########
