###library####
#https://cran.r-project.org/web/packages/indicspecies/vignettes/indicspeciesTutorial.pdf
library(indicspecies)
library(readxl)
library(dplyr)
#load Vegetation data####
allpatches <- read_excel(path = "./Input/allpatches_traits_weniger.xlsx", col_names = T, sheet =2) #sheet - which excel sheet to choose
allpatches = as.data.frame(allpatches) 
rownames (allpatches) <- allpatches [,1] # give rownames species names!  
allpatches <- allpatches[,-1] # and delete species in first column!
allpatches[ allpatches < 0.05 & allpatches != 0] <- 0.05

for(i in 7:ncol(allpatches)){
  allpatches[,i] <- as.numeric(as.character(allpatches[,i]))
}

####ALL - year 1 to 25 ####################################
####select year and field
allpatchesA = allpatches
allpatchesA$RM <- as.numeric (as.factor(allpatchesA$RM))

year1 = allpatchesA[(allpatchesA$AgeBR == 1),]
year2 = allpatchesA[(allpatchesA$AgeBR == 2),]
year8 = allpatchesA[(allpatchesA$AgeBR == 8),]
year15 = allpatchesA[(allpatchesA$AgeBR == 15),]
year20 = allpatchesA[(allpatchesA$AgeBR == 20),]
year25 = allpatchesA[(allpatchesA$AgeBR == 25),]

INDALL = multipatt(allpatchesA[7:ncol(allpatchesA)], allpatchesA$RM, control = how (nperm = 9999))
IND1 = multipatt(year1[7:ncol(year1)], year1$RM, control = how (nperm = 9999))
IND2 = multipatt(year2[7:ncol(year2)], year2$RM, control = how (nperm = 9999))
IND8 = multipatt(year8[7:ncol(year8)], year8$RM, control = how (nperm = 9999))
IND15 = multipatt(year15[7:ncol(year15)], year15$RM, control = how (nperm = 9999))
IND20 = multipatt(year20[7:ncol(year20)], year20$RM, control = how (nperm = 9999))
IND25 = multipatt(year25[7:ncol(year25)], year25$RM, control = how (nperm = 9999))

summary(INDALL)
summary(IND1)
summary(IND2)
summary(IND8)
summary(IND15)
summary(IND20)
summary(IND25)

