library(readxl)
library(PMCMR)
library(PMCMRplus)
library(dplyr)
library(tidyr)
library(rcompanion)
library(multcompView)

SR_all<- read.csv2(file = "./Output/ 4) SR_per_plot_ALL.csv", header = T, sep = ",") #aus Skript 4)

####ALL####
new_A = SR_all
new_A$AgeR <- NULL
new_A$Before <- NULL
new_A$names <- NULL
new_A$Field <- NULL
new_A$Area <- NULL
new_A$X <- NULL

new = new_A %>% pivot_wider(
  names_from = RM,
  values_from = SR
)

names_R = c("R1", "R2" ,"R8", "R15", "R20", "R25")
names_M = c("M1", "M2", "M8", "M15", "M20", "M25")

R = as.data.frame(new$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(new$M,col.names = names_M)   
M = as.matrix(M)

###Friedman-Test ####
friedman.test(R)
friedman.test(M)

PostR = posthoc.friedman.conover.test(R, p.adjust.method = "holm")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "holm")

PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)

PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)

multcompLetters(PRO)
multcompLetters(PMO)
