library(rcompanion)
library(multcompView)
library(PMCMR)
library(PMCMRplus)
library(dplyr)
library(tidyr)

##mittelwerte ####
# CWM = read.csv("./Output/ 5) Mean_per_Treatment_All.csv", row.names = 1)
# CWM_All = CWM[1:12,] 
# grouping = c(rep("M", 6), rep("R", 6))
# CWM_All$grouping = grouping
# AgeBR = c(1,2,8,15,20,25,1,2,8,15,29,25)
# CWM_All$AgeBR = AgeBR

#berechnung ##### aus Skript 5 ###
new = read.csv(file = "./Output/5) CWM_for_7.csv", row.names = 1)

###define before#####
names_R = c("R1", "R2" ,"R8", "R15", "R20", "R25")
names_M = c("M1", "M2", "M8", "M15", "M20", "M25")

######################################## ALL################
####data####
newA = new

#Light ##########
X_all = newA [c(1,4,7)] #7 need to vary

X= X_all %>% pivot_wider(
  names_from = RM,
  values_from = EIVL
)

R = as.data.frame(X$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(X$M,col.names = names_M)   
M = as.matrix(M)
friedman.test(R)
friedman.test(M)
PostR = posthoc.friedman.conover.test(R, p.adjust.method = "bonferroni")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "bonferroni")
PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)
PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)
multcompLetters(PRO)
multcompLetters(PMO)

#Moisture ####
X_all = newA [c(1,4,8)] #7 need to vary

X= X_all %>% pivot_wider(
  names_from = RM,
  values_from = EIVF
)

R = as.data.frame(X$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(X$M,col.names = names_M)   
M = as.matrix(M)
friedman.test(R)
friedman.test(M)
PostR = posthoc.friedman.conover.test(R, p.adjust.method = "bonferroni")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "bonferroni")
PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)
PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)
multcompLetters(PRO)
multcompLetters(PMO)

#Reaction #####
X_all = newA [c(1,4,9)] #7 need to vary

X= X_all %>% pivot_wider(
  names_from = RM,
  values_from = EIVR
)

R = as.data.frame(X$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(X$M,col.names = names_M)   
M = as.matrix(M)
friedman.test(R)
friedman.test(M)
PostR = posthoc.friedman.conover.test(R, p.adjust.method = "bonferroni")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "bonferroni")
PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)
PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)
multcompLetters(PRO)
multcompLetters(PMO)

#Nutrient #####
X_all = newA [c(1,4,10)] #7 need to vary

X= X_all %>% pivot_wider(
  names_from = RM,
  values_from = EIVN
)

R = as.data.frame(X$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(X$M,col.names = names_M)   
M = as.matrix(M)
friedman.test(R)
friedman.test(M)
PostR = posthoc.friedman.conover.test(R, p.adjust.method = "bonferroni")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "bonferroni")
PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)
PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)
multcompLetters(PRO)
multcompLetters(PMO)

#Vork_Lebensraumtypischer Arten #####
X_all = newA [c(1,4,12)] 

X = X_all %>% pivot_wider(
  names_from = RM,
  values_from = Vork_1
)

R = as.data.frame(X$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(X$M,col.names = names_M)   
M = as.matrix(M)
friedman.test(R)
friedman.test(M)
PostR = posthoc.friedman.conover.test(R, p.adjust.method = "bonferroni")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "bonferroni")
PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)
PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)
multcompLetters(PRO)
multcompLetters(PMO)


#RL ####
X_all = newA [c(1,4,14)] 

X = X_all %>% pivot_wider(
  names_from = RM,
  values_from = RL_1
)

R = as.data.frame(X$R,col.names = names_R)
R = as.matrix(R)
M = as.data.frame(X$M,col.names = names_M)   
M = as.matrix(M)
friedman.test(R)
friedman.test(M)
PostR = posthoc.friedman.conover.test(R, p.adjust.method = "bonferroni")
PostM = posthoc.friedman.conover.test(M, p.adjust.method = "bonferroni")
PostR0 = as.matrix(PostR$p.value)
PostM0 = as.matrix(PostM$p.value)
PRO = fullPTable(PostR0)
PMO = fullPTable(PostM0)
multcompLetters(PRO)
multcompLetters(PMO)

