# https://www.rdocumentation.org/packages/FD/versions/1.0-12/topics/functcomp 
library(readxl)
#Vegetation
L <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =3)
rownames(L) <- L$Plot
Veg <- L[, 7:ncol(L)] #ohne Management
L_new<- Veg[colSums(Veg)  > 0.2]


#Tabelle Ellenberg Values
EIV <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =2, na = "NA")
rownames(EIV) <- EIV$Species
EIV$Species <- NULL
L_needed <- which(rownames(EIV) %in% colnames(L_new))
EIV_new<-EIV[L_needed,]
Veg = L_new
rownames (EIV_new) <- colnames(L_new) 
EIV = EIV_new

#Ueberpruefen ob alle Arten da
#c(colnames(Veg)) %in% c(rownames(EIV)) -> im Vorfeld, da functcomp gleiche Benennung braucht 
Veg <- as.matrix(Veg) #Veg fuer functcomp als matrix benoetigt 
library(FD) # functcomp ist hier enthalten 
list <- list(EIV = EIV, Veg = Veg) # zusammenfuegen zu Liste fuer functcomp
mwc <- functcomp(list$EIV, list$Veg, CWM.type = "all") 
str(mwc)
rownames(mwc) <- L$Plot
write.csv(mwc, file = "Output/0) EIV_MW.csv")
