#### ---- benoetigte packages ---- ######
library("ade4")
library("fpc")
library("readxl")
library("cluster")
library(factoextra)
library(NbClust)

###### R - L - Q #########
#R matrix -----
R <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =5)
names <- R$Plots
R$Plots <-NULL
R2 <- as.data.frame(scale (R[1:4], center = T, scale =T)) # Management und Age werden nicht skaliert 
R <- cbind(R2,R[,5:6])
rownames(R) <- names
R$Management <- as.factor(R$Management)
R_year1 = R[which(R$Year == 1),]
R_year1$Year = NULL
R_year2 = R[which(R$Year == 2),]
R_year2$Year = NULL
R_year3 = R[which(R$Year == 3),]
R_year3$Year = NULL
R_year4 = R[which(R$Year == 9),]
R_year4$Year = NULL
R_year5 = R[which(R$Year == 16),]
R_year5$Year = NULL
R_year6 = R[which(R$Year == 21),]
R_year6$Year = NULL
R_year7 = R[which(R$Year == 26),]
R_year7$Year = NULL

#Q matrix ------
Q <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =4, na="NA")
names <- Q$Species
Q$Species <- NULL
Q <- as.data.frame(Q)
rownames(Q) <- names
for(i in 1:ncol(Q)){
  Q[,i] <- as.factor(as.character(Q[,i]))
}

#L matrix -----
L_complete <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =3)
rownames(L_complete) <- L_complete$Plot
L_complete$Plot <- NULL
L_complete <- L_complete[,c(3,6:ncol(L_complete))]
L_complete <- L_complete[,c(T,complete.cases(Q))] #remove missing species which are also abundant in Q
Q <- Q[complete.cases(Q),]
L_new<- L_complete[colSums(L_complete)  > 0.2]
L_needed <- which(rownames(Q) %in% colnames(L_new))
Q_new<-Q[L_needed,]
L_complete = L_new
Q = Q_new

L_year1 = L_complete[which(L_complete$Year == 1),]
L_year1$Year = NULL
L_year1 = L_year1[, colSums(L_year1) > 0]
needed<-which(rownames(Q) %in% colnames(L_year1))    
Q_year1<-Q[needed,]

L_year2 = L_complete[which(L_complete$Year == 2),]
L_year2$Year = NULL
L_year2 = L_year2[, colSums(L_year2) > 0]
needed<-which(rownames(Q) %in% colnames(L_year2))    
Q_year2<-Q[needed,]

L_year3 = L_complete[which(L_complete$Year == 3),]
L_year3$Year = NULL
L_year3 = L_year3[, colSums(L_year3) > 0]
needed<-which(rownames(Q) %in% colnames(L_year3))    
Q_year3<-Q[needed,]

L_year4 = L_complete[which(L_complete$Year == 9),]
L_year4$Year = NULL
L_year4 = L_year4[, colSums(L_year4) > 0]
needed<-which(rownames(Q) %in% colnames(L_year4))    
Q_year4<-Q[needed,]

L_year5 = L_complete[which(L_complete$Year == 16),]
L_year5$Year = NULL
L_year5 = L_year5[, colSums(L_year5) > 0]
needed<-which(rownames(Q) %in% colnames(L_year5))    
Q_year5<-Q[needed,]

L_year6 = L_complete[which(L_complete$Year == 21),]
L_year6$Year = NULL
L_year6 = L_year6[, colSums(L_year6) > 0]
needed<-which(rownames(Q) %in% colnames(L_year6))    
Q_year6<-Q[needed,]

L_year7 = L_complete[which(L_complete$Year == 26),]
L_year7$Year = NULL
L_year7 = L_year7[, colSums(L_year7) > 0]
needed<-which(rownames(Q) %in% colnames(L_year7))    
Q_year7<-Q[needed,]

## Vorbereitung von R und L:

# L 
L_year1 <- asin(sqrt(L_year1*0.01))
L_year2 <- asin(sqrt(L_year2*0.01))
L_year3 <- asin(sqrt(L_year3*0.01))
L_year4 <- asin(sqrt(L_year4*0.01))
L_year5 <- asin(sqrt(L_year5*0.01))
L_year6 <- asin(sqrt(L_year6*0.01))
L_year7 <- asin(sqrt(L_year7*0.01))

#Formel erstellen für Berechnung später: daher nur R, Q, L
#Management: --------------

rlq_with_permutations <- function(n,R,Q,L){ 
  
  # n: number of traits, which should be used for analysis
  # R: R-matrix for RLQ_analysis 
  # Q: Q-matrix for RLQ_analysis
  # L: L-matrix for RLQ_analysis
  
  
  permutations <- combn(1:ncol(Q),m = n)
  RLQ_ergebnisse <- vector(length = ncol(permutations))
  
  veg.dca <- dudi.coa(L,scannf = F,nf = 2)
  species_scores = veg.dca$cw
  site_scores <- veg.dca$lw 
  
  R_ordination <- dudi.hillsmith(R, row.w = site_scores, scannf = F, nf = 2 )
  
  number_permutations = ncol(permutations)
  
  for(i in 1:number_permutations){
    Q_intermediate = Q[,permutations[,i]]
    Q_ordination <- dudi.hillsmith(Q_intermediate, row.w = species_scores, scannf = F, nf = 2)
    rlq_erg <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2) 
    
    
    L_correlation = sum(summary(rlq_erg)$corr)
    
    
    RLQ_ergebnisse[i] = L_correlation
  }
  
  max_iter = which.max(RLQ_ergebnisse)
  
  traits <- colnames(Q[,permutations[,max_iter]])
  
  
  return(list(RLQ_ergebnisse[max_iter], traits))
}

###### ------------- year 1  ----------------  #####
# selection_criteria_list_1 <- list()
# selection_criteria_list_1[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_1[[2]] <- list()
# sink('analysis-Output.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed(123)
# for(i in 1:(ncol(Q_year1)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year1,Q = Q_year1,L = L_year1)  ###manag 1 & 2
#   selection_criteria_list_1[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_1[[1]][2,i] = i+1
#   selection_criteria_list_1[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_1,'./Output/results_year1.rds')
selection_criteria_list_1 = readRDS('./Output/results_year1.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_1[[1]][1,2:length(selection_criteria_list_1[[1]][1,])] - 
  selection_criteria_list_1[[1]][1,1:(length(selection_criteria_list_1[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year1[,which(colnames(Q_year1) %in% selection_criteria_list_1[[2]][[6]])] #Wert ändern

veg.dca <- dudi.coa(L_year1,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year1, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed (123)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(dist(rlq$lQ),B = 500, clustermethod = kmeansCBI, k = 3, count = F, seed = 123)
test
groups <- test$result$partition
list = groups
write.csv(list, file = "./Output/Jahr 1/ Cluster_Jahr1.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(2,3,1)
spe.group2 <- factor(spe.group2)
co = c("grey55", "darkgreen","black")

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, fac= spe.group2, col=co, grid = F, addaxes = F, axesell = T)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.3, angle = 25, code = 2, lwd = 2.5)
text(x = rlq$li["Manag.R",1]+0.3, y = rlq$li["Manag.R",2]-0.3, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(0.8,-1.9, legend = c("1 Grassland", "2 Tall species", "3 Restoration"),
       col=c( "black","grey55","darkgreen"), cex = 0.9,bty = "n", text.col =c("black","grey55","darkgreen") , 
       text.font =2, pch = 19)
#title(main = "1993")
par(xpd =F)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
list_cluster3 = list_Q[which(list_Q$list == 3),] #cluster 3
summary(list_cluster1) #1
write.csv(list_cluster1, file = "./Output/Jahr 1/ Cluster_1.csv", row.names = T)
summary(list_cluster2) #3
write.csv(list_cluster2, file = "./Output/Jahr 1/ Cluster_2.csv", row.names = T)
summary(list_cluster3) #2
write.csv(list_cluster3, file = "./Output/Jahr 1/ Cluster_3.csv", row.names = T)

###### ------------  year 2  ----------------  #####
# selection_criteria_list_2 <- list()
# selection_criteria_list_2[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_2[[2]] <- list()
# sink('analysis-Output2.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed (123)
# for(i in 1:(ncol(Q_year2)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year2,Q = Q_year2,L = L_year2)  ###manag 1 & 2
#   selection_criteria_list_2[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_2[[1]][2,i] = i+1
#   selection_criteria_list_2[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_2,'./Output/results_year2.rds')
selection_criteria_list_2 = readRDS('./Output/results_year2.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_2[[1]][1,2:length(selection_criteria_list_2[[1]][1,])] - 
  selection_criteria_list_2[[1]][1,1:(length(selection_criteria_list_2[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year2[,which(colnames(Q_year2) %in% selection_criteria_list_2[[2]][[7]])] #Wert ändern

veg.dca <- dudi.coa(L_year2,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year2, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed(123)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(rlq$lQ,B = 500, clustermethod = kmeansCBI, k=3, count =F, seed = 123)
test
list <- test$result$partition
write.csv(list, file = "./Output/Jahr 2/ Cluster_Jahr2.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(2,3,1)
spe.group2 <- factor(spe.group2)
co = (c("grey55","darkgreen","black"))

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, spe.group2, col=co, grid = F, addaxes = F)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.3, angle = 25, code = 2, lwd = 2.5)
text(x = rlq$li["Manag.R",1]-0.2, y = rlq$li["Manag.R",2]-0.4, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(2.1,-4, legend = c("1 Grassland", "2 Tall species", "3 Restoration"),
       col=c ("black", "grey55","darkgreen") ,pch = 19, cex = 0.9,bty = "n", text.col = c ("black", "grey55","darkgreen"), text.font =2 )
par(xpd =F)
#title(main = "1994", cex.lab = 1.1)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
list_cluster3 = list_Q[which(list_Q$list == 3),] #cluster 3
summary(list_cluster1) #2
write.csv(list_cluster1, file = "./Output/Jahr 2/ Cluster_1.csv", row.names = T)
summary(list_cluster2) #1
write.csv(list_cluster2, file = "./Output/Jahr 2/ Cluster_2.csv", row.names = T)
summary(list_cluster3) #3
write.csv(list_cluster3, file = "./Output/Jahr 2/ Cluster_3.csv", row.names = T)
###### ------------  year 3  ----------------  #####
# selection_criteria_list_3 <- list()
# selection_criteria_list_3[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_3[[2]] <- list()
# sink('analysis-Output3.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed(123)
# for(i in 1:(ncol(Q_year3)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year3,Q = Q_year3,L = L_year3)  ###manag 1 & 2
#   selection_criteria_list_3[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_3[[1]][2,i] = i+1
#   selection_criteria_list_3[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_3,'./Output/results_year3.rds')
selection_criteria_list_3 = readRDS('./Output/results_year3.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_3[[1]][1,2:length(selection_criteria_list_3[[1]][1,])] - 
  selection_criteria_list_3[[1]][1,1:(length(selection_criteria_list_3[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year3[,which(colnames(Q_year3) %in% selection_criteria_list_3[[2]][[5]])] #Wert ändern

veg.dca <- dudi.coa(L_year3,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year3, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed(123)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(rlq$lQ,B = 500, clustermethod = kmeansCBI, k = 3, count = F, seed = 1234)
test
groups <- test$result$partition
list = groups
write.csv(list, file = "./Output/Jahr 3/ Cluster_Jahr3.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(1,3,2)
spe.group2 <- factor(spe.group2)
co = c ( "black","darkgreen","grey55")

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, spe.group2, col=co, grid = F, addaxes = F)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.3, angle = 25, code = 2, lwd = 2.5)
text(x = rlq$li["Manag.R",1]+0.2, y = rlq$li["Manag.R",2]+0.3, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(0.7,-1.4, legend = c("1 Grassland", "2 Tall species", "3 Restoration"),
       col=c("black", "grey55", "darkgreen") ,pch = 19, cex = 0.9,bty = "n", text.col = c("black", "grey55", "darkgreen"), 
       text.font =2 )
par(xpd =F)
#title(main = "1995", cex.lab = 1.1)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
list_cluster3 = list_Q[which(list_Q$list == 3),] #cluster 3
summary(list_cluster1) 
write.csv(list, file = "./Output/Jahr 3/ Cluster_1.csv", row.names = T)
summary(list_cluster2) 
write.csv(list, file = "./Output/Jahr 3/ Cluster_2.csv", row.names = T)
summary(list_cluster3) 
write.csv(list, file = "./Output/Jahr 3/ Cluster_3.csv", row.names = T)

###### ------------  year 4  ----------------  #####
# selection_criteria_list_4 <- list()
# selection_criteria_list_4[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_4[[2]] <- list()
# sink('analysis-Output4.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed (123)
# for(i in 1:(ncol(Q)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year4,Q = Q_year4,L = L_year4)
#   selection_criteria_list_4[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_4[[1]][2,i] = i+1
#   selection_criteria_list_4[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_4,'./Output/results_year4.rds')
selection_criteria_list_4 = readRDS('./Output/results_year4.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_4[[1]][1,2:length(selection_criteria_list_4[[1]][1,])] - 
  selection_criteria_list_4[[1]][1,1:(length(selection_criteria_list_4[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year4[,which(colnames(Q_year4) %in% selection_criteria_list_4[[2]][[6]])] #Wert ändern

veg.dca <- dudi.coa(L_year4,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year4, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed(123)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(rlq$lQ,B = 500, clustermethod = kmeansCBI, k = 3, count = F, seed = 123)
test
groups <- test$result$partition
list = groups
write.csv(list, file = "./Output/Jahr 9/ Cluster_Jahr4.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(1,3,2)
spe.group2 <- factor(spe.group2)
co = c ("black", "darkgreen","grey55") 

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, spe.group2, col=co, grid = F, addaxes = F)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.3, angle = 25, code = 2, lwd = 2.5)
text(x = rlq$li["Manag.R",1]-0.5, y = rlq$li["Manag.R",2]-0.1, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(1.4,-2.2, legend = c("1 Grassland", "2 Tall species", "3 Restoration"),
       col=c("black", "grey55", "darkgreen") ,pch = 19, cex = 0.9,bty = "n", text.col = c("black", "grey55", "darkgreen"), text.font =2 )
par(xpd =F)
#title(main = "2001", cex.lab = 1.1)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
list_cluster3 = list_Q[which(list_Q$list == 3),] #cluster 3
summary(list_cluster1)
write.csv(list_cluster1, file = "./Output/Jahr 9/ Cluster_1.csv", row.names = T)
summary(list_cluster2)
write.csv(list_cluster2, file = "./Output/Jahr 9/ Cluster_2.csv", row.names = T)
summary(list_cluster3)
write.csv(list_cluster3, file = "./Output/Jahr 9/ Cluster_3.csv", row.names = T)

###### ------------  year 5  ----------------  #####
# selection_criteria_list_5 <- list()
# selection_criteria_list_5[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_5[[2]] <- list()
# sink('analysis-Output5.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed(123)
# for(i in 1:(ncol(Q_year5)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year5,Q = Q_year5,L = L_year5)  ###manag 1 & 2
#   selection_criteria_list_5[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_5[[1]][2,i] = i+1
#   selection_criteria_list_5[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_5,'./Output/results_year5.rds')
selection_criteria_list_5 = readRDS('./Output/results_year5.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_5[[1]][1,2:length(selection_criteria_list_5[[1]][1,])] - 
  selection_criteria_list_5[[1]][1,1:(length(selection_criteria_list_5[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year5[,which(colnames(Q_year5) %in% selection_criteria_list_5[[2]][[8]])] #Wert ändern

veg.dca <- dudi.coa(L_year5,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year5, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed(123)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(rlq$lQ,B = 500, clustermethod = kmeansCBI, k = 3, count = F, seed = 123)
test
groups <- test$result$partition
list = groups
write.csv(list, file = "./Output/Jahr 16/ Cluster_Jahr5.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(3,2,1)
spe.group2 <- factor(spe.group2)
co = c ("darkgreen","grey55","black")

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, spe.group2, col=co, grid = F, addaxes = F)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.3, angle = 25, code = 2, lwd = 2)
text(x = rlq$li["Manag.R",1]-0.4, y = rlq$li["Manag.R",2]+0.4, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(1.4,-1.1, legend = c("1 Grassland", "2 Tall species", "3 Restoration"),
       col=c("black", "grey55", "darkgreen") ,pch = 19, cex = 0.9,bty = "n", text.col = c("black", "grey55", "darkgreen"), text.font =2 )
par(xpd =F)
#title(main = "2008", cex.lab = 1.1)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
list_cluster3 = list_Q[which(list_Q$list == 3),] #cluster 3
summary(list_cluster1)
write.csv(list_cluster1, file = "./Output/Jahr 16/ Cluster_1.csv", row.names = T)
summary(list_cluster2)
write.csv(list_cluster2, file = "./Output/Jahr 16/ Cluster_2.csv", row.names = T)
summary(list_cluster3)
write.csv(list_cluster3, file = "./Output/Jahr 16/ Cluster_3.csv", row.names = T)

###### ------------  year 6  ----------------  #####
# selection_criteria_list_6 <- list()
# selection_criteria_list_6[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_6[[2]] <- list()
# sink('analysis-Output6.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed(123)
# for(i in 1:(ncol(Q_year6)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year6,Q = Q_year6,L = L_year6)  ###manag 1 & 2
#   selection_criteria_list_6[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_6[[1]][2,i] = i+1
#   selection_criteria_list_6[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_6,'./Output/results_year6.rds')
selection_criteria_list_6 = readRDS('./Output/results_year6.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_6[[1]][1,2:length(selection_criteria_list_6[[1]][1,])] - 
  selection_criteria_list_6[[1]][1,1:(length(selection_criteria_list_6[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year6[,which(colnames(Q_year6) %in% selection_criteria_list_6[[2]][[5]])] #Wert ändern

veg.dca <- dudi.coa(L_year6,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year6, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed(123)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(rlq$lQ,B = 500, clustermethod = kmeansCBI, k = 2, count = F, seed = 123)
test
groups <- test$result$partition
list = groups
write.csv(list, file = "./Output/Jahr 21/ Cluster_Jahr6.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(1,2)
spe.group2 <- factor(spe.group2)
co = c ("black","grey55")

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, spe.group2, col=co, grid = F, addaxes = F)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.2, angle = 25, code = 2, lwd = 2.5)
text(x = rlq$li["Manag.R",1]+ 0.8, y = rlq$li["Manag.R",2]+ 0.1, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(3.3,-2, legend = c("1 Grassland", "2 Tall species"),
       col=c("black", "grey55") ,pch = 19, cex = 0.9,bty = "n", text.col = c("black", "grey55"), text.font =2 )
par(xpd =F)
#title(main = "2013", cex.lab = 1.1)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
summary(list_cluster1)
write.csv(list_cluster1, file = "./Output/Jahr 21/ Cluster_1.csv", row.names = T)
summary(list_cluster2)
write.csv(list_cluster2, file = "./Output/Jahr 21/ Cluster_2.csv", row.names = T)

###### ------------  year 7  ----------------  #####
# selection_criteria_list_7 <- list()
# selection_criteria_list_7[[1]] <- matrix(nrow = 2, ncol = ncol(Q)-1)
# selection_criteria_list_7[[2]] <- list()
# sink('analysis-Output7.txt')
# ## This calculates all RLQs and saves the result summarys in selection_criteria_list
# set.seed(123)
# for(i in 1:(ncol(Q_year7)-1)){
#   analysis <- rlq_with_permutations(n = i+1,R = R_year7,Q = Q_year7,L = L_year7)  ###manag 1 & 2
#   selection_criteria_list_7[[1]][1,i] = analysis[[1]]
#   selection_criteria_list_7[[1]][2,i] = i+1
#   selection_criteria_list_7[[2]][[i]] = analysis[[2]]
# }
# 
# sink()
# 
# saveRDS(selection_criteria_list_7,'./Output/results_year7.rds')
selection_criteria_list_7 = readRDS('./Output/results_year7.rds')

## Difference < 0.005 as selection criteria for optimal traits given by Römermann et. al.
differences = selection_criteria_list_7[[1]][1,2:length(selection_criteria_list_7[[1]][1,])] - 
  selection_criteria_list_7[[1]][1,1:(length(selection_criteria_list_7[[1]][1,])-1)]
format(differences, scientific = F)

#select the traits and again compute the RLQ 
Q_selected = Q_year7[,which(colnames(Q_year7) %in% selection_criteria_list_7[[2]][[5]])] #Wert ändern

veg.dca <- dudi.coa(L_year7,scannf = F,nf = 2)
species_scores = veg.dca$cw
site_scores <- veg.dca$lw 
Q_ordination <- dudi.hillsmith(Q_selected, row.w = species_scores, scannf = F, nf = 2)
R_ordination <- dudi.hillsmith(R_year7, row.w = site_scores, scannf = F, nf = 2 )
rlq <- rlq(dudiR = R_ordination, dudiL= veg.dca, dudiQ = Q_ordination, scannf = F, nf = 2)
#summary (rlq)
#plot(rlq)
#cluster for functional groups
#NbClust(rlq$lQ, method = "kmeans")
#set.seed(1233)
#res = kmeansCBI(rlq$lQ, dist(rlq$lQ), runs = 2)
#res$nc
test = clusterboot(rlq$lQ,B = 500, clustermethod = kmeansCBI, k = 2 ,seed = 123, count = F)
test
groups <- test$result$partition
list = groups
write.csv(list, file = "./Output/Jahr 26/ Cluster_Jahr7.csv", row.names = T)

spe.group2 <- as.factor(list)
levels(spe.group2) <- c(1,2)
spe.group2 <- factor(spe.group2, levels=c(1,2))
co = c ("black","grey55")

dev.new ()
windows.options(width = 6, height = 5)
s.class(rlq$lQ, spe.group2, col=co, grid = F, addaxes = F)
arrows(0,0,x1 = rlq$li["Manag.R",1], y1 = rlq$li["Manag.R",2], col= "red", length = 0.2, angle = 25, code = 2, lwd = 2.5)
text(x = rlq$li["Manag.R",1]-0.6, y = rlq$li["Manag.R",2]+0.15, labels = c("Restoration"), col = c("red"), cex = 0.9, font = 2)
par(xpd =T)
legend(1,-2, legend = c("1 Grassland", "2 Tall species"),
       col=c("black", "grey55") ,pch = 19, cex = 0.9,bty = "n", text.col = c("black", "grey55"), text.font =2 )
par(xpd =F)
#title(main = "2018", cex.lab = 1.1)
dev.off()

list = as.data.frame(list)
list_Q = cbind(Q_selected, list)
list_Q$list = as.factor(list_Q$list)
list_cluster1 = list_Q[which(list_Q$list == 1),] #cluster 1
list_cluster2 = list_Q[which(list_Q$list == 2),] #cluster 2
summary(list_cluster1)
write.csv(list_cluster1, file = "./Output/Jahr 26/ Cluster_1.csv", row.names = T)
summary(list_cluster2)
write.csv(list_cluster2, file = "./Output/Jahr 26/ Cluster_2.csv", row.names = T)
