#packages
library(readxl)
library(exactRankTests)

#Load data###
#### Vegetation per PLOT !!! ####
Veg <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =3)
names <- Veg$Plot
rownames(Veg) <- names
L <- as.data.frame(Veg[,7:ncol(Veg)])


#### Traits per species !!! #####
Traits <- read_excel(path = "../Data/1) Tab_R_Auswertung.xlsx", col_names = T, sheet =4) #Q -> Merkmale (col) vs. Arten (row)
names <- Traits$Species
Q <- as.data.frame(Traits[,2:ncol(Traits)])
rownames(Q) <- names

L_new<- L[colSums(L)  > 0.2]
L_needed <- which(rownames(Q) %in% colnames(L_new))
Q_new<-Q[L_needed,]
L = L_new
Q = Q_new
L2 <- as.data.frame (t(L)) #L2 -> Einzelplots (col) vs. Arten (row)
colnames(L2) <- names
##############Erstellen der Grundtabellen pro Merkmal ################
#In L2 fuer jeden Plot (col) pruefen, welche Arten (in L2 > 0 sein) vorkommt und Merkmal A,B,C... oder 0/1 zuordnen
#-> neue Tabelle erstellen 
#-> Arten, die in der Aufnahme nicht vorhanden sind (dh.Deckung = 0), mit NA aufnehmen ansonsten Merkmal eintragen

#SBC- seed bank t(1), s + l (2) coodiert ----------------------------------------------------------------
SBC <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(SBC) <- rownames(L2)
colnames(SBC) <- colnames(L2)

for(i in 1:nrow(SBC)){
  for(j in 1:ncol(SBC)){
    if(L2[i,j] == 0.){ 
      SBC[i,j] = NA
    }
    else{
      SBC[i,j] <- Q[i,1] # Number ersetzten
    }
  }
}

SBC_Merkmale <- as.vector(c("1", "2"))

SBC_overview <- matrix(ncol = ncol(SBC), nrow = length(SBC_Merkmale))
rownames(SBC_overview) = as.character(SBC_Merkmale)
colnames(SBC_overview) = colnames(SBC)

for(i in 1:length(SBC_Merkmale)){
  for(j in 1:ncol(SBC)){
    SBC_overview[i,j] = length(which(SBC[,j] == SBC_Merkmale[i]))
  }
}

#SMC- seed mass Category - 1 < 0.5mg / 2 0.5-2 mg / 3 > 2mg ----------------------------------------------------------------
SMC <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(SMC) <- rownames(L2)
colnames(SMC) <- colnames(L2)

for(i in 1:nrow(SMC)){
  for(j in 1:ncol(SMC)){
    if(L2[i,j] == 0.){ 
      SMC[i,j] = NA
    }
    else{
      SMC[i,j] <- Q[i,2] # nummer ersetzten
    }
  }
}

SMC_Merkmale <- as.vector(c(1,2,3))

SMC_overview <- matrix(ncol = ncol(SMC), nrow = length(SMC_Merkmale))
rownames(SMC_overview) = as.character(SMC_Merkmale)
colnames(SMC_overview) = colnames(SMC)

for(i in 1:length(SMC_Merkmale)){
  for(j in 1:ncol(SMC)){
    SMC_overview[i,j] = length(which(SMC[,j] == SMC_Merkmale[i]))
  }
}

#SLAC - SLA Category - 1 <20 / 2 20-25 / 3 > 25 ----------------------
SLAC <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(SLAC) <- rownames(L2)
colnames(SLAC) <- colnames(L2)

for(i in 1:nrow(SLAC)){
  for(j in 1:ncol(SLAC)){
    if(L2[i,j] == 0.){ 
      SLAC[i,j] = NA
    }
    else{
      SLAC[i,j] <- Q[i,3] # nummer ersetzten
    }
  }
}

SLAC_Merkmale <- as.vector(c(1,2,3))

SLAC_overview <- matrix(ncol = ncol(SLAC), nrow = length(SLAC_Merkmale))
rownames(SLAC_overview) = as.character(SLAC_Merkmale)
colnames(SLAC_overview) = colnames(SLAC)

for(i in 1:length(SLAC_Merkmale)){
  for(j in 1:ncol(SLAC)){
    SLAC_overview[i,j] = length(which(SLAC[,j] == SLAC_Merkmale[i]))
  }
}

#CanH - Canopy Height - 1 <0.3 m / 2 0.3 - 0.6 / 3 > 0.6 --------------------------
CanH <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(CanH) <- rownames(L2)
colnames(CanH) <- colnames(L2)

for(i in 1:nrow(CanH)){
  for(j in 1:ncol(CanH)){
    if(L2[i,j] == 0.){ 
      CanH[i,j] = NA
    }
    else{
      CanH[i,j] <- Q[i,4] # nummer ersetzten
    }
  }
}

CanH_Merkmale <- as.vector(c(1,2,3))

CanH_overview <- matrix(ncol = ncol(CanH), nrow = length(CanH_Merkmale))
rownames(CanH_overview) = as.character(CanH_Merkmale)
colnames(CanH_overview) = colnames(CanH)

for(i in 1:length(CanH_Merkmale)){
  for(j in 1:ncol(CanH)){
    CanH_overview[i,j] = length(which(CanH[,j] == CanH_Merkmale[i]))
  }
}

#lifespan01 -------------------------
lifespan01 <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(lifespan01) <- rownames(L2)
colnames(lifespan01) <- colnames(L2)

for(i in 1:nrow(lifespan01)){
  for(j in 1:ncol(lifespan01)){
    if(L2[i,j] == 0.){ 
      lifespan01[i,j] = NA
    }
    else{
      lifespan01[i,j] <- Q[i,5] # nummer ersetzten
    }
  }
}

lifespan01_Merkmale <- as.vector(c(0,1))

lifespan01_overview <- matrix(ncol = ncol(lifespan01), nrow = length(lifespan01_Merkmale))
rownames(lifespan01_overview) = as.character(lifespan01_Merkmale)
colnames(lifespan01_overview) = colnames(lifespan01)

for(i in 1:length(lifespan01_Merkmale)){
  for(j in 1:ncol(lifespan01)){
    lifespan01_overview[i,j] = length(which(lifespan01[,j] == lifespan01_Merkmale[i]))
  }
}

#leafd123 - leaf distribution - 1 rosette or semi-rosette 2 even distr. ------------------
leafd123 <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(leafd123) <- rownames(L2)
colnames(leafd123) <- colnames(L2)

for(i in 1:nrow(leafd123)){
  for(j in 1:ncol(leafd123)){
    if(L2[i,j] == 0.){ 
      leafd123[i,j] = NA
    }
    else{
      leafd123[i,j] <- Q[i,6] # nummer ersetzten
    }
  }
}

leafd123_Merkmale <- as.vector(c(1,2)) 

leafd123_overview <- matrix(ncol = ncol(leafd123), nrow = length(leafd123_Merkmale))
rownames(leafd123_overview) = as.character(leafd123_Merkmale)
colnames(leafd123_overview) = colnames(leafd123)

for(i in 1:length(leafd123_Merkmale)){
  for(j in 1:ncol(leafd123)){
    leafd123_overview[i,j] = length(which(leafd123[,j] == leafd123_Merkmale[i]))
  }
}

#epi - zoochore ausbreitung 0/1 ------------
epi <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(epi) <- rownames(L2)
colnames(epi) <- colnames(L2)

for(i in 1:nrow(epi)){
  for(j in 1:ncol(epi)){
    if(L2[i,j] == 0.){ 
      epi[i,j] = NA
    }
    else{
      epi[i,j] <- Q[i,14] # nummer ersetzten
    }
  }
}

epi_Merkmale <- as.vector(c(0,1))

epi_overview <- matrix(ncol = ncol(epi), nrow = length(epi_Merkmale))
rownames(epi_overview) = as.character(epi_Merkmale)
colnames(epi_overview) = colnames(epi)

for(i in 1:length(epi_Merkmale)){
  for(j in 1:ncol(epi)){
    epi_overview[i,j] = length(which(epi[,j] == epi_Merkmale[i]))
  }
}
#end - zoochore ausbreitung 0/1 ------------
end <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(end) <- rownames(L2)
colnames(end) <- colnames(L2)

for(i in 1:nrow(end)){
  for(j in 1:ncol(end)){
    if(L2[i,j] == 0.){ 
      end[i,j] = NA
    }
    else{
      end[i,j] <- Q[i,15] # nummer ersetzten
    }
  }
}

end_Merkmale <- as.vector(c(0,1))

end_overview <- matrix(ncol = ncol(end), nrow = length(end_Merkmale))
rownames(end_overview) = as.character(end_Merkmale)
colnames(end_overview) = colnames(end)

for(i in 1:length(end_Merkmale)){
  for(j in 1:ncol(end)){
    end_overview[i,j] = length(which(end[,j] == end_Merkmale[i]))
  }
}

#heme  - hemerochoore Ausbreitung 0/1 ----------------
heme <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(heme) <- rownames(L2)
colnames(heme) <- colnames(L2)

for(i in 1:nrow(heme)){
  for(j in 1:ncol(heme)){
    if(L2[i,j] == 0.){ 
      heme[i,j] = NA
    }
    else{
      heme[i,j] <- Q[i,7] # nummer ersetzten
    }
  }
}

heme_Merkmale <- as.vector(c(0,1))

heme_overview <- matrix(ncol = ncol(heme), nrow = length(heme_Merkmale))
rownames(heme_overview) = as.character(heme_Merkmale)
colnames(heme_overview) = colnames(heme)

for(i in 1:length(heme_Merkmale)){
  for(j in 1:ncol(heme)){
    heme_overview[i,j] = length(which(heme[,j] == heme_Merkmale[i]))
  }
}

#ane - anemochore Ausbreitung 0/1 ---------------
ane <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(ane) <- rownames(L2)
colnames(ane) <- colnames(L2)

for(i in 1:nrow(ane)){
  for(j in 1:ncol(ane)){
    if(L2[i,j] == 0.){ 
      ane[i,j] = NA
    }
    else{
      ane[i,j] <- Q[i,8] # nummer ersetzten
    }
  }
}

ane_Merkmale <- as.vector(c(0,1))

ane_overview <- matrix(ncol = ncol(ane), nrow = length(ane_Merkmale))
rownames(ane_overview) = as.character(ane_Merkmale)
colnames(ane_overview) = colnames(ane)

for(i in 1:length(ane_Merkmale)){
  for(j in 1:ncol(ane)){
    ane_overview[i,j] = length(which(ane[,j] == ane_Merkmale[i]))
  }
}

#BGK- kraut, baum, strauch, legume coodiert ----------------------------------------------------------------
BGK <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(BGK) <- rownames(L2)
colnames(BGK) <- colnames(L2)

for(i in 1:nrow(BGK)){
  for(j in 1:ncol(BGK)){
    if(L2[i,j] == 0.){ 
      BGK[i,j] = NA
    }
    else{
      BGK[i,j] <- Q[i,9] # Number ersetzten
    }
  }
}

BGK_Merkmale <- as.vector(c("B", "G", "K", "L"))

BGK_overview <- matrix(ncol = ncol(BGK), nrow = length(BGK_Merkmale))
rownames(BGK_overview) = as.character(BGK_Merkmale)
colnames(BGK_overview) = colnames(BGK)

for(i in 1:length(BGK_Merkmale)){
  for(j in 1:ncol(BGK)){
    BGK_overview[i,j] = length(which(BGK[,j] == BGK_Merkmale[i]))
  }
}
#FFM-FirstFlowermin 1 = < 1 y, 2 = 1-5 y, 3 = > 5 y coodiert ----------------------------------------------------------------
FFM <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(FFM) <- rownames(L2)
colnames(FFM) <- colnames(L2)

for(i in 1:nrow(FFM)){
  for(j in 1:ncol(FFM)){
    if(L2[i,j] == 0.){ 
      FFM[i,j] = NA
    }
    else{
      FFM[i,j] <- Q[i,10] # Number ersetzten
    }
  }
}

FFM_Merkmale <- as.vector(c(1,2,3))

FFM_overview <- matrix(ncol = ncol(FFM), nrow = length(FFM_Merkmale))
rownames(FFM_overview) = as.character(FFM_Merkmale)
colnames(FFM_overview) = colnames(FFM)

for(i in 1:length(FFM_Merkmale)){
  for(j in 1:ncol(FFM)){
    FFM_overview[i,j] = length(which(FFM[,j] == FFM_Merkmale[i]))
  }
}
#SeedlEmeC - 1 = spring, 2 = autumn, 3 = all year coodiert ----------------------------------------------------------------
SeedlEmeC <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(SeedlEmeC) <- rownames(L2)
colnames(SeedlEmeC) <- colnames(L2)

for(i in 1:nrow(SeedlEmeC)){
  for(j in 1:ncol(SeedlEmeC)){
    if(L2[i,j] == 0.){ 
      SeedlEmeC[i,j] = NA
    }
    else{
      SeedlEmeC[i,j] <- Q[i,11] # Number ersetzten
    }
  }
}

SeedlEmeC_Merkmale <- as.vector(c(1,2,3))

SeedlEmeC_overview <- matrix(ncol = ncol(SeedlEmeC), nrow = length(SeedlEmeC_Merkmale))
rownames(SeedlEmeC_overview) = as.character(SeedlEmeC_Merkmale)
colnames(SeedlEmeC_overview) = colnames(SeedlEmeC)

for(i in 1:length(SeedlEmeC_Merkmale)){
  for(j in 1:ncol(SeedlEmeC)){
    SeedlEmeC_overview[i,j] = length(which(SeedlEmeC[,j] == SeedlEmeC_Merkmale[i]))
  }
}

#Lat sp- 1 = > 0.01, 2 = 0.01-0.25, 3 = > 0.25 ----------------------------------------------------------------
Lat <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(Lat) <- rownames(L2)
colnames(Lat) <- colnames(L2)

for(i in 1:nrow(Lat)){
  for(j in 1:ncol(Lat)){
    if(L2[i,j] == 0.){ 
      Lat[i,j] = NA
    }
    else{
      Lat[i,j] <- Q[i,12] # Number ersetzten
    }
  }
}

Lat_Merkmale <- as.vector(c(1,2,3))

Lat_overview <- matrix(ncol = ncol(Lat), nrow = length(Lat_Merkmale))
rownames(Lat_overview) = as.character(Lat_Merkmale)
colnames(Lat_overview) = colnames(Lat)

for(i in 1:length(Lat_Merkmale)){
  for(j in 1:ncol(Lat)){
    Lat_overview[i,j] = length(which(Lat[,j] == Lat_Merkmale[i]))
  }
}
#Flower Start - E = before May, L = since June ----------------------------------------------------------------
FlowerSStart <- matrix(ncol = ncol(L2), nrow = nrow(L2))
rownames(FlowerSStart) <- rownames(L2)
colnames(FlowerSStart) <- colnames(L2)

for(i in 1:nrow(FlowerSStart)){
  for(j in 1:ncol(FlowerSStart)){
    if(L2[i,j] == 0.){ 
      FlowerSStart[i,j] = NA
    }
    else{
      FlowerSStart[i,j] <- Q[i,13] # Number ersetzten
    }
  }
}

FlowerSStart_Merkmale <- as.vector(c( "E", "L"))

FlowerSStart_overview <- matrix(ncol = ncol(FlowerSStart), nrow = length(FlowerSStart_Merkmale))
rownames(FlowerSStart_overview) = as.character(FlowerSStart_Merkmale)
colnames(FlowerSStart_overview) = colnames(FlowerSStart)

for(i in 1:length(FlowerSStart_Merkmale)){
  for(j in 1:ncol(FlowerSStart)){
    FlowerSStart_overview[i,j] = length(which(FlowerSStart[,j] == FlowerSStart_Merkmale[i]))
  }
}
##### Uebersicht ueber neue Tabellen mit Anzahl Merkmal A, Merkmal B ... pro Plot #########################
#Tabelle mit absoluter Artzahl
SBC_overview #1
SMC_overview #2
SLAC_overview #3
CanH_overview #4
lifespan01_overview #5
leafd123_overview #6
epi_overview #14
end_overview #15
heme_overview #7
ane_overview #8
BGK_overview #9
FFM_overview #10
SeedlEmeC_overview #11
Lat_overview #12
FlowerSStart_overview #13

##### neue Tabellen mit absoluter Artenzahl in Prozente umrechnen ###################################################################
#1
SBC_overview_percent = matrix(ncol = ncol(SBC_overview), nrow = nrow(SBC_overview))
rownames(SBC_overview_percent) = rownames(SBC_overview)
colnames(SBC_overview_percent) = colnames(SBC_overview)
SBC_overview_percent[1,] = SBC_overview[1,]/(SBC_overview[1,] + SBC_overview[2,] )
SBC_overview_percent[2,] = SBC_overview[2,]/(SBC_overview[1,] + SBC_overview[2,] )
#2
SMC_overview_percent = matrix(ncol = ncol(SMC_overview), nrow = nrow(SMC_overview))
rownames(SMC_overview_percent) = rownames(SMC_overview)
colnames(SMC_overview_percent) = colnames(SMC_overview)
SMC_overview_percent[1,] = SMC_overview[1,]/(SMC_overview[1,] + SMC_overview[2,] + SMC_overview[3,])
SMC_overview_percent[2,] = SMC_overview[2,]/(SMC_overview[1,] + SMC_overview[2,] + SMC_overview[3,])
SMC_overview_percent[3,] = SMC_overview[3,]/(SMC_overview[1,] + SMC_overview[2,] + SMC_overview[3,])
# #3
SLAC_overview_percent = matrix(ncol = ncol(SLAC_overview), nrow = nrow(SLAC_overview))
rownames(SLAC_overview_percent) = rownames(SLAC_overview)
colnames(SLAC_overview_percent) = colnames(SLAC_overview)
SLAC_overview_percent[1,] = SLAC_overview[1,]/(SLAC_overview[1,] + SLAC_overview[2,] + SLAC_overview[3,])
SLAC_overview_percent[2,] = SLAC_overview[2,]/(SLAC_overview[1,] + SLAC_overview[2,] + SLAC_overview[3,])
SLAC_overview_percent[3,] = SLAC_overview[3,]/(SLAC_overview[1,] + SLAC_overview[2,] + SLAC_overview[3,])
#4
CanH_overview_percent = matrix(ncol = ncol(CanH_overview), nrow = nrow(CanH_overview))
rownames(CanH_overview_percent) = rownames(CanH_overview)
colnames(CanH_overview_percent) = colnames(CanH_overview)
CanH_overview_percent[1,] = CanH_overview[1,]/(CanH_overview[1,] + CanH_overview[2,] + CanH_overview[3,])
CanH_overview_percent[2,] = CanH_overview[2,]/(CanH_overview[1,] + CanH_overview[2,] + CanH_overview[3,])
CanH_overview_percent[3,] = CanH_overview[3,]/(CanH_overview[1,] + CanH_overview[2,] + CanH_overview[3,])
#5
lifespan01_overview_percent = matrix(ncol = ncol(lifespan01_overview), nrow = nrow(lifespan01_overview))
rownames(lifespan01_overview_percent) = rownames(lifespan01_overview)
colnames(lifespan01_overview_percent) = colnames(lifespan01_overview)
lifespan01_overview_percent[1,] = lifespan01_overview[1,]/(lifespan01_overview[1,] + lifespan01_overview[2,])
lifespan01_overview_percent[2,] = lifespan01_overview[2,]/(lifespan01_overview[1,] + lifespan01_overview[2,])
#6
leafd123_overview_percent = matrix(ncol = ncol(leafd123_overview), nrow = nrow(leafd123_overview))
rownames(leafd123_overview_percent) = rownames(leafd123_overview)
colnames(leafd123_overview_percent) = colnames(leafd123_overview)
leafd123_overview_percent[1,] = leafd123_overview[1,]/(leafd123_overview[1,] + leafd123_overview[2,])
leafd123_overview_percent[2,] = leafd123_overview[2,]/(leafd123_overview[1,] + leafd123_overview[2,])
#14
epi_overview_percent = matrix(ncol = ncol(epi_overview), nrow = nrow(epi_overview))
rownames(epi_overview_percent) = rownames(epi_overview)
colnames(epi_overview_percent) = colnames(epi_overview)
epi_overview_percent[1,] = epi_overview[1,]/(epi_overview[1,] + epi_overview[2,])
epi_overview_percent[2,] = epi_overview[2,]/(epi_overview[1,] + epi_overview[2,])
#15
end_overview_percent = matrix(ncol = ncol(end_overview), nrow = nrow(end_overview))
rownames(end_overview_percent) = rownames(end_overview)
colnames(end_overview_percent) = colnames(end_overview)
end_overview_percent[1,] = end_overview[1,]/(end_overview[1,] + end_overview[2,])
end_overview_percent[2,] = end_overview[2,]/(end_overview[1,] + end_overview[2,])
#7
heme_overview_percent = matrix(ncol = ncol(heme_overview), nrow = nrow(heme_overview))
rownames(heme_overview_percent) = rownames(heme_overview)
colnames(heme_overview_percent) = colnames(heme_overview)
heme_overview_percent[1,] = heme_overview[1,]/(heme_overview[1,] + heme_overview[2,])
heme_overview_percent[2,] = heme_overview[2,]/(heme_overview[1,] + heme_overview[2,])
#8
ane_overview_percent = matrix(ncol = ncol(ane_overview), nrow = nrow(ane_overview))
rownames(ane_overview_percent) = rownames(ane_overview)
colnames(ane_overview_percent) = colnames(ane_overview)
ane_overview_percent[1,] = ane_overview[1,]/(ane_overview[1,] + ane_overview[2,])
ane_overview_percent[2,] = ane_overview[2,]/(ane_overview[1,] + ane_overview[2,])
#9
BGK_overview_percent = matrix(ncol = ncol(BGK_overview), nrow = nrow(BGK_overview))
rownames(BGK_overview_percent) = rownames(BGK_overview)
colnames(BGK_overview_percent) = colnames(BGK_overview)
BGK_overview_percent[1,] = BGK_overview[1,]/(BGK_overview[1,] + BGK_overview[2,] + BGK_overview[3,] + BGK_overview[4,])
BGK_overview_percent[2,] = BGK_overview[2,]/(BGK_overview[1,] + BGK_overview[2,] + BGK_overview[3,] + BGK_overview[4,])
BGK_overview_percent[3,] = BGK_overview[3,]/(BGK_overview[1,] + BGK_overview[2,] + BGK_overview[3,] + BGK_overview[4,])
BGK_overview_percent[4,] = BGK_overview[4,]/(BGK_overview[1,] + BGK_overview[2,] + BGK_overview[3,] + BGK_overview[4,])
#10
FFM_overview_percent = matrix(ncol = ncol(FFM_overview), nrow = nrow(FFM_overview))
rownames(FFM_overview_percent) = rownames(FFM_overview)
colnames(FFM_overview_percent) = colnames(FFM_overview)
FFM_overview_percent[1,] = FFM_overview[1,]/(FFM_overview[1,] + FFM_overview[2,] + FFM_overview[3,])
FFM_overview_percent[2,] = FFM_overview[2,]/(FFM_overview[1,] + FFM_overview[2,] + FFM_overview[3,])
FFM_overview_percent[3,] = FFM_overview[3,]/(FFM_overview[1,] + FFM_overview[2,] + FFM_overview[3,])
#11
SeedlEmeC_overview_percent = matrix(ncol = ncol(SeedlEmeC_overview), nrow = nrow(SeedlEmeC_overview))
rownames(SeedlEmeC_overview_percent) = rownames(SeedlEmeC_overview)
colnames(SeedlEmeC_overview_percent) = colnames(SeedlEmeC_overview)
SeedlEmeC_overview_percent[1,] = SeedlEmeC_overview[1,]/(SeedlEmeC_overview[1,] + SeedlEmeC_overview[2,] + SeedlEmeC_overview[3,])
SeedlEmeC_overview_percent[2,] = SeedlEmeC_overview[2,]/(SeedlEmeC_overview[1,] + SeedlEmeC_overview[2,] + SeedlEmeC_overview[3,])
SeedlEmeC_overview_percent[3,] = SeedlEmeC_overview[3,]/(SeedlEmeC_overview[1,] + SeedlEmeC_overview[2,] + SeedlEmeC_overview[3,])
#12
Lat_overview_percent = matrix(ncol = ncol(Lat_overview), nrow = nrow(Lat_overview))
rownames(Lat_overview_percent) = rownames(Lat_overview)
colnames(Lat_overview_percent) = colnames(Lat_overview)
Lat_overview_percent[1,] = Lat_overview[1,]/(Lat_overview[1,] + Lat_overview[2,] + Lat_overview[3,])
Lat_overview_percent[2,] = Lat_overview[2,]/(Lat_overview[1,] + Lat_overview[2,] + Lat_overview[3,])
Lat_overview_percent[3,] = Lat_overview[3,]/(Lat_overview[1,] + Lat_overview[2,] + Lat_overview[3,])
#13
FlowerSStart_overview_percent = matrix(ncol = ncol(FlowerSStart_overview), nrow = nrow(FlowerSStart_overview))
rownames(FlowerSStart_overview_percent) = rownames(FlowerSStart_overview)
colnames(FlowerSStart_overview_percent) = colnames(FlowerSStart_overview)
FlowerSStart_overview_percent[1,] = FlowerSStart_overview[1,]/(FlowerSStart_overview[1,] + FlowerSStart_overview[2,])
FlowerSStart_overview_percent[2,] = FlowerSStart_overview[2,]/(FlowerSStart_overview[1,] + FlowerSStart_overview[2,])

#Ziel ist es am Ende eine neue Tabelle zu haben in der die Flächen gegen die Anzahl/ Prozentsatz der Arten mit Merkmal A, B etc. sind. 
##################################################### Übersicht Artenzahl in Prozente ###############
SBC_overview_percent #1
SMC_overview_percent #2
SLAC_overview_percent #4
CanH_overview_percent #5
lifespan01_overview_percent #6
leafd123_overview_percent #8
epi_overview_percent #9
end_overview_percent #9
heme_overview_percent #10
ane_overview_percent #11
BGK_overview_percent #12
FFM_overview_percent #13
SeedlEmeC_overview_percent #14
Lat_overview_percent #16
FlowerSStart_overview_percent 

#Gruppeneinteilung - Test zwischen 1/8, 2/9, 3/10, 4/11, 5/12, 6/13, 7/14 ---------
grouping <- c(1,1,1,1,1,2,2,2,2,2,3,3,3,3,3,1,1,1,1,1,2,2,2,2,2,3,3,3,3,3,8,8,8,8,8,9,9,9,9,9,10,10,10,10,10,8,8,8,8,8,9,9,9,9,9,10,10,10,10,10,4,4,4,4,4,4,4,4,4,4,11,11,11,11,11,11,11,11,11,11,5,5,5,5,5,5,5,5,5,5,12,12,12,12,12,12,12,12,12,12,6,6,6,6,6,6,6,6,6,6,13,13,13,13,13,13,13,13,13,13,7,7,7,7,7,7,7,7,7,7,14,14,14,14,14,14,14,14,14,14)
#####Mann-Whitney-U-Test ####################################################################
#Pro Jahr(93,94,95,01,08,11,18) pro Behandlung (je 10, Magerrasen (Mo,Mu-je 5) & Rodung (R,L-je 5)) Signifikanztest auf Unterschiede 
#1
SBC_overview_percent<- as.data.frame(t(SBC_overview_percent))
SBC_overview_percent$group <- grouping 
SBC_overview_percent <- t(SBC_overview_percent)
SBC_p_values = matrix(ncol = 7, nrow = nrow(SBC_overview_percent)-1)
rownames(SBC_p_values) <- rownames(SBC_overview )
colnames(SBC_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(SBC_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(SBC_overview_percent[j,][which(SBC_overview_percent[3,] == i)],SBC_overview_percent[j,][which(SBC_overview_percent[3,] == (i+7))])
    SBC_p_values[j,i] = testi$p.value
  }
}
#2
SMC_overview_percent <- as.data.frame(t(SMC_overview_percent)) 
SMC_overview_percent$group <- grouping 
SMC_overview_percent <- t(SMC_overview_percent)
SMC_p_values = matrix(ncol = 7, nrow = nrow(SMC_overview_percent)-1)
rownames(SMC_p_values) <- rownames(SMC_overview)
colnames(SMC_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(SMC_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(SMC_overview_percent[j,][which(SMC_overview_percent[4,] == i)],SMC_overview_percent[j,][which(SMC_overview_percent[4,] == (i+7))])
    SMC_p_values[j,i] = testi$p.value
  }
}
#4
SLAC_overview_percent <- as.data.frame(t(SLAC_overview_percent)) 
SLAC_overview_percent$group <- grouping 
SLAC_overview_percent <- t(SLAC_overview_percent)
SLAC_p_values = matrix(ncol = 7, nrow = nrow(SLAC_overview_percent)-1)
rownames(SLAC_p_values) <- rownames(SLAC_overview)
colnames(SLAC_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(SLAC_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(SLAC_overview_percent[j,][which(SLAC_overview_percent[4,] == i)],SLAC_overview_percent[j,][which(SLAC_overview_percent[4,] == (i+7))])
    SLAC_p_values[j,i] = testi$p.value
  }
}
#5
CanH_overview_percent <- as.data.frame(t(CanH_overview_percent)) 
CanH_overview_percent$group <- grouping 
CanH_overview_percent <- t(CanH_overview_percent)
CanH_p_values = matrix(ncol = 7, nrow = nrow(CanH_overview_percent)-1)
rownames(CanH_p_values) <- rownames(CanH_overview)
colnames(CanH_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(CanH_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(CanH_overview_percent[j,][which(CanH_overview_percent[4,] == i)],CanH_overview_percent[j,][which(CanH_overview_percent[4,] == (i+7))])
    CanH_p_values[j,i] = testi$p.value
  }
}
#6
lifespan01_overview_percent <- as.data.frame(t(lifespan01_overview_percent)) 
lifespan01_overview_percent$group <- grouping 
lifespan01_overview_percent <- t(lifespan01_overview_percent)
lifespan01_p_values = matrix(ncol = 7, nrow = nrow(lifespan01_overview_percent)-1)
rownames(lifespan01_p_values) <- rownames(lifespan01_overview)
colnames(lifespan01_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(lifespan01_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(lifespan01_overview_percent[j,][which(lifespan01_overview_percent[3,] == i)],lifespan01_overview_percent[j,][which(lifespan01_overview_percent[3,] == (i+7))])
    lifespan01_p_values[j,i] = testi$p.value
  }
}
#8
leafd123_overview_percent <- as.data.frame(t(leafd123_overview_percent)) 
leafd123_overview_percent$group <- grouping 
leafd123_overview_percent <- t(leafd123_overview_percent)
leafd123_p_values = matrix(ncol = 7, nrow = nrow(leafd123_overview_percent)-1)
rownames(leafd123_p_values) <- rownames(leafd123_overview)
colnames(leafd123_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(leafd123_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(leafd123_overview_percent[j,][which(leafd123_overview_percent[3,] == i)],leafd123_overview_percent[j,][which(leafd123_overview_percent[3,] == (i+7))])
    leafd123_p_values[j,i] = testi$p.value
  }
}
#9
epi_overview_percent <- as.data.frame(t(epi_overview_percent)) 
epi_overview_percent$group <- grouping 
epi_overview_percent <- t(epi_overview_percent)
epi_p_values = matrix(ncol = 7, nrow = nrow(epi_overview_percent)-1)
rownames(epi_p_values) <- rownames(epi_overview)
colnames(epi_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(epi_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(epi_overview_percent[j,][which(epi_overview_percent[3,] == i)],epi_overview_percent[j,][which(epi_overview_percent[3,] == (i+7))])
    epi_p_values[j,i] = testi$p.value
  }
}
#15
end_overview_percent <- as.data.frame(t(end_overview_percent)) 
end_overview_percent$group <- grouping 
end_overview_percent <- t(end_overview_percent)
end_p_values = matrix(ncol = 7, nrow = nrow(end_overview_percent)-1)
rownames(end_p_values) <- rownames(end_overview)
colnames(end_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(end_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(end_overview_percent[j,][which(end_overview_percent[3,] == i)],end_overview_percent[j,][which(end_overview_percent[3,] == (i+7))])
    end_p_values[j,i] = testi$p.value
  }
}
#10
heme_overview_percent <- as.data.frame(t(heme_overview_percent)) 
heme_overview_percent$group <- grouping 
heme_overview_percent <- t(heme_overview_percent)
heme_p_values = matrix(ncol = 7, nrow = nrow(heme_overview_percent)-1)
rownames(heme_p_values) <- rownames(heme_overview)
colnames(heme_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for(j in 1:nrow(heme_p_values)){
  for(i in 1:7){
    testi <- wilcox.exact(heme_overview_percent[j,][which(heme_overview_percent[3,] == i)],heme_overview_percent[j,][which(heme_overview_percent[3,] == (i+7))])
    heme_p_values[j,i] = testi$p.value
  }
}
#11
ane_overview_percent <- as.data.frame(t(ane_overview_percent))
ane_overview_percent$group <-grouping
ane_overview_percent <- t(ane_overview_percent)
ane_p_values = matrix(ncol = 7, nrow = nrow(ane_overview_percent)-1)
rownames(ane_p_values) <- rownames(ane_overview)
colnames(ane_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for (j in 1:nrow(ane_p_values)) {
  for(i in 1:7){
    testi<- wilcox.exact(ane_overview_percent[j,][which(ane_overview_percent[3,] == i)], ane_overview_percent[j,][which(ane_overview_percent[3,] == (i+7))])
    ane_p_values[j,i] = testi$p.value  
  }
}
#12
BGK_overview_percent <- as.data.frame(t(BGK_overview_percent))
BGK_overview_percent$group <-grouping
BGK_overview_percent <- t(BGK_overview_percent)
BGK_p_values = matrix(ncol = 7, nrow = nrow(BGK_overview_percent)-1)
rownames(BGK_p_values) <- rownames(BGK_overview)
colnames(BGK_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for (j in 1:nrow(BGK_p_values)) {
  for(i in 1:7){
    testi<- wilcox.exact(BGK_overview_percent[j,][which(BGK_overview_percent[5,] == i)], BGK_overview_percent[j,][which(BGK_overview_percent[5,] == (i+7))])
    BGK_p_values[j,i] = testi$p.value  
  }
}
#13
FFM_overview_percent <- as.data.frame(t(FFM_overview_percent))
FFM_overview_percent$group <-grouping
FFM_overview_percent <- t(FFM_overview_percent)
FFM_p_values = matrix(ncol = 7, nrow = nrow(FFM_overview_percent)-1)
rownames(FFM_p_values) <- rownames(FFM_overview)
colnames(FFM_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for (j in 1:nrow(FFM_p_values)) {
  for(i in 1:7){
    testi<- wilcox.exact(FFM_overview_percent[j,][which(FFM_overview_percent[4,] == i)], FFM_overview_percent[j,][which(FFM_overview_percent[4,] == (i+7))])
    FFM_p_values[j,i] = testi$p.value  
  }
}
#14
SeedlEmeC_overview_percent <- as.data.frame(t(SeedlEmeC_overview_percent))
SeedlEmeC_overview_percent$group <-grouping
SeedlEmeC_overview_percent <- t(SeedlEmeC_overview_percent)
SeedlEmeC_p_values = matrix(ncol = 7, nrow = nrow(SeedlEmeC_overview_percent)-1)
rownames(SeedlEmeC_p_values) <- rownames(SeedlEmeC_overview)
colnames(SeedlEmeC_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for (j in 1:nrow(SeedlEmeC_p_values)) {
  for(i in 1:7){
    testi<- wilcox.exact(SeedlEmeC_overview_percent[j,][which(SeedlEmeC_overview_percent[4,] == i)], SeedlEmeC_overview_percent[j,][which(SeedlEmeC_overview_percent[4,] == (i+7))])
    SeedlEmeC_p_values[j,i] = testi$p.value  
  }
}
#16
Lat_overview_percent <- as.data.frame(t(Lat_overview_percent))
Lat_overview_percent$group <-grouping
Lat_overview_percent <- t(Lat_overview_percent)
Lat_p_values = matrix(ncol = 7, nrow = nrow(Lat_overview_percent)-1)
rownames(Lat_p_values) <- rownames(Lat_overview)
colnames(Lat_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for (j in 1:nrow(Lat_p_values)) {
  for(i in 1:7){
    testi<- wilcox.exact(Lat_overview_percent[j,][which(Lat_overview_percent[4,] == i)], Lat_overview_percent[j,][which(Lat_overview_percent[4,] == (i+7))])
    Lat_p_values[j,i] = testi$p.value  
  }
}
#13
FlowerSStart_overview_percent <- as.data.frame(t(FlowerSStart_overview_percent))
FlowerSStart_overview_percent$group <- grouping
FlowerSStart_overview_percent <- t(FlowerSStart_overview_percent)
FlowerSStart_p_values = matrix(ncol = 7, nrow = nrow(FlowerSStart_overview_percent)-1)
rownames(FlowerSStart_p_values) <- rownames(FlowerSStart_overview)
colnames(FlowerSStart_p_values) <- c(1993, 1994, 1995, 2001, 2008, 2013, 2018)
for (j in 1:nrow(FlowerSStart_p_values)) {
  for(i in 1:7){
    testi<- wilcox.exact(FlowerSStart_overview_percent[j,][which(FlowerSStart_overview_percent[3,] == i)], FlowerSStart_overview_percent[j,][which(FlowerSStart_overview_percent[3,] == (i+7))])
    FlowerSStart_p_values[j,i] = testi$p.value  
  }
}

#####################################################Übersicht - Tests #######
round(SBC_p_values, digits = 3)
round(SMC_p_values, digits = 3) 
round(SLAC_p_values, digits = 3) 
round(CanH_p_values, digits = 3) 
round(lifespan01_p_values, digits = 3) 
round(leafd123_p_values, digits = 3) 
round(epi_p_values, digits = 3) 
round(end_p_values, digits = 3) 
round(heme_p_values, digits = 3) 
round(ane_p_values, digits = 3) 
round(BGK_p_values, digits = 3) 
round(FFM_p_values, digits = 3) 
round(SeedlEmeC_p_values, digits = 3) 
round(Lat_p_values, digits = 3) 
round (FlowerSStart_p_values, digits = 3)

### Tabelle mit p-values exportieren ##################################################################################################
#library(gtools) #stars.pval(SB01_p_values) # andere Möglichkeit
library(gridExtra)
#1 ---- 
SBC_p_values_star <- matrix(ncol = ncol(SBC_p_values), nrow = nrow(SBC_p_values))

for(i in 1:ncol(SBC_p_values)){
  for(j in 1:nrow(SBC_p_values)){
    if(SBC_p_values[j,i]>0.05){
      SBC_p_values_star[j,i] = paste(round(SBC_p_values[j,i],4), "-", sep = " ")
    }
    else if(SBC_p_values[j,i]<0.05 & SBC_p_values[j,i]>0.01){
      SBC_p_values_star[j,i] = paste(round(SBC_p_values[j,i],4), "*", sep = " ") 
    }
    else if(SBC_p_values[j,i]<0.01 & SBC_p_values[j,i]>0.001){
      SBC_p_values_star[j,i] = paste(round(SBC_p_values[j,i],4), "**", sep = " ")
    }
    else if(SBC_p_values[j,i]<0.001){
      SBC_p_values_star[j,i] = paste(round(SBC_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(SBC_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(SBC_p_values_star) <- c("transient", "persistent")
pdf(file = "./Output/1_SBC_p_star.pdf")
grid.table(SBC_p_values_star)
dev.off()
#2 ----
SMC_p_values_star <- matrix(ncol = ncol(SMC_p_values), nrow = nrow(SMC_p_values))

for(i in 1:ncol(SMC_p_values)){
  for(j in 1:nrow(SMC_p_values)){
    if(SMC_p_values[j,i]>0.05){
      SMC_p_values_star[j,i] = paste(round(SMC_p_values[j,i],4), "-", sep = " ")
    }
    else if(SMC_p_values[j,i]<0.05 & SMC_p_values[j,i]>0.01){
      SMC_p_values_star[j,i] = paste(round(SMC_p_values[j,i],4), "*", sep = " ") 
    }
    else if(SMC_p_values[j,i]<0.01 & SMC_p_values[j,i]>0.001){
      SMC_p_values_star[j,i] = paste(round(SMC_p_values[j,i],4), "**", sep = " ")
    }
    else if(SMC_p_values[j,i]<0.001){
      SMC_p_values_star[j,i] = paste(round(SMC_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(SMC_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(SMC_p_values_star) <- c("Cat1", "Cat2", "Cat3")
pdf(file = "./Output/2_SMC_p_star.pdf")
grid.table(SMC_p_values_star)
dev.off()
#4 ----
SLAC_p_values_star <- matrix(ncol = ncol(SLAC_p_values), nrow = nrow(SLAC_p_values))

for(i in 1:ncol(SLAC_p_values)){
  for(j in 1:nrow(SLAC_p_values)){
    if(SLAC_p_values[j,i]>0.05){
      SLAC_p_values_star[j,i] = paste(round(SLAC_p_values[j,i],4), "-", sep = " ")
    }
    else if(SLAC_p_values[j,i]<0.05 & SLAC_p_values[j,i]>0.01){
      SLAC_p_values_star[j,i] = paste(round(SLAC_p_values[j,i],4), "*", sep = " ") 
    }
    else if(SLAC_p_values[j,i]<0.01 & SLAC_p_values[j,i]>0.001){
      SLAC_p_values_star[j,i] = paste(round(SLAC_p_values[j,i],4), "**", sep = " ")
    }
    else if(SLAC_p_values[j,i]<0.001){
      SLAC_p_values_star[j,i] = paste(round(SLAC_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(SLAC_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(SLAC_p_values_star) <- c("Cat1", "Cat2", "Cat3")
pdf(file = "./Output/4_SLAC_p_star.pdf")
grid.table(SLAC_p_values_star)
dev.off()
#5 -----
CanH_p_values_star <- matrix(ncol = ncol(CanH_p_values), nrow = nrow(CanH_p_values))

for(i in 1:ncol(CanH_p_values)){
  for(j in 1:nrow(CanH_p_values)){
    if(CanH_p_values[j,i]>0.05){
      CanH_p_values_star[j,i] = paste(round(CanH_p_values[j,i],4), "-", sep = " ")
    }
    else if(CanH_p_values[j,i]<0.05 & CanH_p_values[j,i]>0.01){
      CanH_p_values_star[j,i] = paste(round(CanH_p_values[j,i],4), "*", sep = " ") 
    }
    else if(CanH_p_values[j,i]<0.01 & CanH_p_values[j,i]>0.001){
      CanH_p_values_star[j,i] = paste(round(CanH_p_values[j,i],4), "**", sep = " ")
    }
    else if(CanH_p_values[j,i]<0.001){
      CanH_p_values_star[j,i] = paste(round(CanH_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(CanH_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(CanH_p_values_star) <- c("Cat1", "Cat2", "Cat3")
pdf(file = "./Output/5_CanH_p_star.pdf")
grid.table(CanH_p_values_star)
dev.off()
#6 ----
lifespan01_p_values_star <- matrix(ncol = ncol(lifespan01_p_values), nrow = nrow(lifespan01_p_values))

for(i in 1:ncol(lifespan01_p_values)){
  for(j in 1:nrow(lifespan01_p_values)){
    if(lifespan01_p_values[j,i]>0.05){
      lifespan01_p_values_star[j,i] = paste(round(lifespan01_p_values[j,i],4), "-", sep = " ")
    }
    else if(lifespan01_p_values[j,i]<0.05 & lifespan01_p_values[j,i]>0.01){
      lifespan01_p_values_star[j,i] = paste(round(lifespan01_p_values[j,i],4), "*", sep = " ") 
    }
    else if(lifespan01_p_values[j,i]<0.01 & lifespan01_p_values[j,i]>0.001){
      lifespan01_p_values_star[j,i] = paste(round(lifespan01_p_values[j,i],4), "**", sep = " ")
    }
    else if(lifespan01_p_values[j,i]<0.001){
      lifespan01_p_values_star[j,i] = paste(round(lifespan01_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(lifespan01_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(lifespan01_p_values_star) <- c("short-lived", "long-lived")
pdf(file = "./Output/6_lifespan01_p_star.pdf")
grid.table(lifespan01_p_values_star)
dev.off()

#8 -----
leafd123_p_values_star <- matrix(ncol = ncol(leafd123_p_values), nrow = nrow(leafd123_p_values))

for(i in 1:ncol(leafd123_p_values)){
  for(j in 1:nrow(leafd123_p_values)){
    if(leafd123_p_values[j,i]>0.05){
      leafd123_p_values_star[j,i] = paste(round(leafd123_p_values[j,i],4), "-", sep = " ")
    }
    else if(leafd123_p_values[j,i]<0.05 & leafd123_p_values[j,i]>0.01){
      leafd123_p_values_star[j,i] = paste(round(leafd123_p_values[j,i],4), "*", sep = " ") 
    }
    else if(leafd123_p_values[j,i]<0.01 & leafd123_p_values[j,i]>0.001){
      leafd123_p_values_star[j,i] = paste(round(leafd123_p_values[j,i],4), "**", sep = " ")
    }
    else if(leafd123_p_values[j,i]<0.001){
      leafd123_p_values_star[j,i] = paste(round(leafd123_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(leafd123_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(leafd123_p_values_star) <- c("Cat1", "Cat2")
pdf(file = "./Output/9_leafd123_p_star.pdf")
grid.table(leafd123_p_values_star)
dev.off()
#9 -----
epi_p_values_star <- matrix(ncol = ncol(epi_p_values), nrow = nrow(epi_p_values))

for(i in 1:ncol(epi_p_values)){
  for(j in 1:nrow(epi_p_values)){
    if(epi_p_values[j,i]>0.05){
      epi_p_values_star[j,i] = paste(round(epi_p_values[j,i],4), "-", sep = " ")
    }
    else if(epi_p_values[j,i]<0.05 & epi_p_values[j,i]>0.01){
      epi_p_values_star[j,i] = paste(round(epi_p_values[j,i],4), "*", sep = " ") 
    }
    else if(epi_p_values[j,i]<0.01 & epi_p_values[j,i]>0.001){
      epi_p_values_star[j,i] = paste(round(epi_p_values[j,i],4), "**", sep = " ")
    }
    else if(epi_p_values[j,i]<0.001){
      epi_p_values_star[j,i] = paste(round(epi_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(epi_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(epi_p_values_star) <- c("not epiepichor", "epiepichor")
pdf(file = "./Output/13_epi_p_star.pdf")
grid.table(epi_p_values_star)
dev.off()
#9 -----
end_p_values_star <- matrix(ncol = ncol(end_p_values), nrow = nrow(end_p_values))

for(i in 1:ncol(end_p_values)){
  for(j in 1:nrow(end_p_values)){
    if(end_p_values[j,i]>0.05){
      end_p_values_star[j,i] = paste(round(end_p_values[j,i],4), "-", sep = " ")
    }
    else if(end_p_values[j,i]<0.05 & end_p_values[j,i]>0.01){
      end_p_values_star[j,i] = paste(round(end_p_values[j,i],4), "*", sep = " ") 
    }
    else if(end_p_values[j,i]<0.01 & end_p_values[j,i]>0.001){
      end_p_values_star[j,i] = paste(round(end_p_values[j,i],4), "**", sep = " ")
    }
    else if(end_p_values[j,i]<0.001){
      end_p_values_star[j,i] = paste(round(end_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(end_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(end_p_values_star) <- c("not endendchor", "endendchor")
pdf(file = "./Output/13_end_p_star.pdf")
grid.table(end_p_values_star)
dev.off()
#10 ----
heme_p_values_star <- matrix(ncol = ncol(heme_p_values), nrow = nrow(heme_p_values))

for(i in 1:ncol(heme_p_values)){
  for(j in 1:nrow(heme_p_values)){
    if(heme_p_values[j,i]>0.05){
      heme_p_values_star[j,i] = paste(round(heme_p_values[j,i],4), "-", sep = " ")
    }
    else if(heme_p_values[j,i]<0.05 & heme_p_values[j,i]>0.01){
      heme_p_values_star[j,i] = paste(round(heme_p_values[j,i],4), "*", sep = " ") 
    }
    else if(heme_p_values[j,i]<0.01 & heme_p_values[j,i]>0.001){
      heme_p_values_star[j,i] = paste(round(heme_p_values[j,i],4), "**", sep = " ")
    }
    else if(heme_p_values[j,i]<0.001){
      heme_p_values_star[j,i] = paste(round(heme_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(heme_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(heme_p_values_star) <- c("no hemerochor", "hemerochor")
pdf(file = "./Output/15_heme_p_star.pdf")
grid.table(heme_p_values_star)
dev.off()
#11 -----
ane_p_values_star <- matrix(ncol = ncol(ane_p_values), nrow = nrow(ane_p_values))

for(i in 1:ncol(ane_p_values)){
  for(j in 1:nrow(ane_p_values)){
    if(ane_p_values[j,i]>0.05){
      ane_p_values_star[j,i] = paste(round(ane_p_values[j,i],4), "-", sep = " ")
    }
    else if(ane_p_values[j,i]<0.05 & ane_p_values[j,i]>0.01){
      ane_p_values_star[j,i] = paste(round(ane_p_values[j,i],4), "*", sep = " ") 
    }
    else if(ane_p_values[j,i]<0.01 & ane_p_values[j,i]>0.001){
      ane_p_values_star[j,i] = paste(round(ane_p_values[j,i],4), "**", sep = " ")
    }
    else if(ane_p_values[j,i]<0.001){
      ane_p_values_star[j,i] = paste(round(ane_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(ane_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(ane_p_values_star) <- c("no anemochor", "anemochor")
pdf(file = "./Output/16_ane_p_star.pdf")
grid.table(ane_p_values_star)
dev.off()
#12 ----
BGK_p_values_star <- matrix(ncol = ncol(BGK_p_values), nrow = nrow(BGK_p_values))

for(i in 1:ncol(BGK_p_values)){
  for(j in 1:nrow(BGK_p_values)){
    if(BGK_p_values[j,i]>0.05){
      BGK_p_values_star[j,i] = paste(round(BGK_p_values[j,i],4), "-", sep = " ")
    }
    else if(BGK_p_values[j,i]<0.05 & BGK_p_values[j,i]>0.01){
      BGK_p_values_star[j,i] = paste(round(BGK_p_values[j,i],4), "*", sep = " ") 
    }
    else if(BGK_p_values[j,i]<0.01 & BGK_p_values[j,i]>0.001){
      BGK_p_values_star[j,i] = paste(round(BGK_p_values[j,i],4), "**", sep = " ")
    }
    else if(BGK_p_values[j,i]<0.001){
      BGK_p_values_star[j,i] = paste(round(BGK_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(BGK_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(BGK_p_values_star) <- c("B", "G", "K", "L")
pdf(file = "./Output/17_BGK_p_star.pdf")
grid.table(BGK_p_values_star)
dev.off()
#13 ----
FFM_p_values_star <- matrix(ncol = ncol(FFM_p_values), nrow = nrow(FFM_p_values))

for(i in 1:ncol(FFM_p_values)){
  for(j in 1:nrow(FFM_p_values)){
    if(FFM_p_values[j,i]>0.05){
      FFM_p_values_star[j,i] = paste(round(FFM_p_values[j,i],4), "-", sep = " ")
    }
    else if(FFM_p_values[j,i]<0.05 & FFM_p_values[j,i]>0.01){
      FFM_p_values_star[j,i] = paste(round(FFM_p_values[j,i],4), "*", sep = " ") 
    }
    else if(FFM_p_values[j,i]<0.01 & FFM_p_values[j,i]>0.001){
      FFM_p_values_star[j,i] = paste(round(FFM_p_values[j,i],4), "**", sep = " ")
    }
    else if(FFM_p_values[j,i]<0.001){
      FFM_p_values_star[j,i] = paste(round(FFM_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(FFM_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(FFM_p_values_star) <- c("1", "2","3")
pdf(file = "./Output/18_FFM_p_star.pdf")
grid.table(FFM_p_values_star)
dev.off()
#14 ----
SeedlEmeC_p_values_star <- matrix(ncol = ncol(SeedlEmeC_p_values), nrow = nrow(SeedlEmeC_p_values))

for(i in 1:ncol(SeedlEmeC_p_values)){
  for(j in 1:nrow(SeedlEmeC_p_values)){
    if(SeedlEmeC_p_values[j,i]>0.05){
      SeedlEmeC_p_values_star[j,i] = paste(round(SeedlEmeC_p_values[j,i],4), "-", sep = " ")
    }
    else if(SeedlEmeC_p_values[j,i]<0.05 & SeedlEmeC_p_values[j,i]>0.01){
      SeedlEmeC_p_values_star[j,i] = paste(round(SeedlEmeC_p_values[j,i],4), "*", sep = " ") 
    }
    else if(SeedlEmeC_p_values[j,i]<0.01 & SeedlEmeC_p_values[j,i]>0.001){
      SeedlEmeC_p_values_star[j,i] = paste(round(SeedlEmeC_p_values[j,i],4), "**", sep = " ")
    }
    else if(SeedlEmeC_p_values[j,i]<0.001){
      SeedlEmeC_p_values_star[j,i] = paste(round(SeedlEmeC_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(SeedlEmeC_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(SeedlEmeC_p_values_star) <- c("1", "2", "3")
pdf(file = "./Output/22_SeedlEmeC_p_star.pdf")
grid.table(SeedlEmeC_p_values_star)
dev.off()

#16 ----
Lat_p_values_star <- matrix(ncol = ncol(Lat_p_values), nrow = nrow(Lat_p_values))

for(i in 1:ncol(Lat_p_values)){
  for(j in 1:nrow(Lat_p_values)){
    if(Lat_p_values[j,i]>0.05){
      Lat_p_values_star[j,i] = paste(round(Lat_p_values[j,i],4), "-", sep = " ")
    }
    else if(Lat_p_values[j,i]<0.05 & Lat_p_values[j,i]>0.01){
      Lat_p_values_star[j,i] = paste(round(Lat_p_values[j,i],4), "*", sep = " ") 
    }
    else if(Lat_p_values[j,i]<0.01 & Lat_p_values[j,i]>0.001){
      Lat_p_values_star[j,i] = paste(round(Lat_p_values[j,i],4), "**", sep = " ")
    }
    else if(Lat_p_values[j,i]<0.001){
      Lat_p_values_star[j,i] = paste(round(Lat_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(Lat_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(Lat_p_values_star) <- c("1", "2", "3")
pdf(file = "./Output/22_Lat_p_star.pdf")
grid.table(Lat_p_values_star)
dev.off()
#16 ----
FlowerSStart_p_values_star <- matrix(ncol = ncol(FlowerSStart_p_values), nrow = nrow(FlowerSStart_p_values))

for(i in 1:ncol(FlowerSStart_p_values)){
  for(j in 1:nrow(FlowerSStart_p_values)){
    if(FlowerSStart_p_values[j,i]>0.05){
      FlowerSStart_p_values_star[j,i] = paste(round(FlowerSStart_p_values[j,i],4), "-", sep = " ")
    }
    else if(FlowerSStart_p_values[j,i]<0.05 & FlowerSStart_p_values[j,i]>0.01){
      FlowerSStart_p_values_star[j,i] = paste(round(FlowerSStart_p_values[j,i],4), "*", sep = " ") 
    }
    else if(FlowerSStart_p_values[j,i]<0.01 & FlowerSStart_p_values[j,i]>0.001){
      FlowerSStart_p_values_star[j,i] = paste(round(FlowerSStart_p_values[j,i],4), "**", sep = " ")
    }
    else if(FlowerSStart_p_values[j,i]<0.001){
      FlowerSStart_p_values_star[j,i] = paste(round(FlowerSStart_p_values[j,i],4), "***", sep = " ")
    }
  }
} 

colnames(FlowerSStart_p_values_star) <- c("1993", "1994", "1995", "2001", "2008", "2013", "2018")
rownames(FlowerSStart_p_values_star) <- c("1", "2")
pdf(file = "./Output/22_FlowerSStart_p_star.pdf")
grid.table(FlowerSStart_p_values_star)
dev.off()