library(readxl)
library(ggplot2)

#Samenbank
SB <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =1)
SB$Type <- as.factor(SB$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(SB, aes(x=Year, y=SB, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.8),breaks = c(0, 0.2,0.4,0.6,0.8))+
  ggtitle("Seed bank persistence")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "H")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Samenmasse
SM <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =2)
SM$Type <- as.factor(SM$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(SM, aes(x=Year, y=SM, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(4,19,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.55),breaks = c(0.1,0.2,0.3,0.4,0.5))+
  ggtitle("Seed mass")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "I")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#epi
epi <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =3)
epi$Type <- as.factor(epi$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(epi, aes(x=Year, y=epi, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4))+
  scale_x_continuous(breaks = c(1993,1995,2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.8),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6, 0.7, 0.8))+
  ggtitle("Epizoochory")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "C")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#SLA
SLA <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =4)
SLA$Type <- as.factor(SLA$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(SLA, aes(x=Year, y=SLA, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.55),breaks = c(0, 0.1,0.2,0.3,0.4,0.5))+
  ggtitle("SLA")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "K)")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#CanH
CanH <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =5)
CanH$Type <- as.factor(CanH$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(CanH, aes(x=Year, y=CanH, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.6),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6))+
  ggtitle("Canopy heigth")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "A")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Life span
LS <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =6)
LS$Type <- as.factor(LS$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(LS, aes(x=Year, y=LS, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,1),breaks = c(0, 0.2,0.4,0.6,0.8,1))+
  ggtitle("Life span")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "F")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Life form
LF <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =7)
LF$Type <- as.factor(LF$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(LF, aes(x=Year, y=LF, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.8),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6, 0.7, 0.8))+
  ggtitle("Life form")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "G")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Leaf distribution
LD <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =8)
LD$Type <- as.factor(LD$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(LD, aes(x=Year, y=LD, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.6),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6))+
  ggtitle("Leaf distribution")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "E")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Hemereochory
heme <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =9)
heme$Type <- as.factor(heme$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(heme, aes(x=Year, y=heme, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,1),breaks = c(0,0.2,0.4,0.6,0.8, 1))+
  ggtitle("Hemerochory")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "C")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#BGK
BGK <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =10)
BGK$Type <- as.factor(BGK$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(BGK, aes(x=Year, y=BGK, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.8),breaks = c(0, 0.2,0.4,0.6,0.8))+
  ggtitle("Plant type")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "G")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Age of first flowering
FFM <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =11)
FFM$Type <- as.factor(FFM$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(FFM, aes(x=Year, y=FFM, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.7),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6, 0.7))+
  ggtitle("First flowering")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "B")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Seedling Emergence Season
Sem <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =12)
Sem$Type <- as.factor(Sem$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(Sem, aes(x=Year, y=Sem, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.7),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6, 0.7))+
  ggtitle("Seedling Emergence")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "J")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()


#Florwer Duration
FS <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =13)
FS$Type <- as.factor(FS$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(FS, aes(x=Year, y=FS, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.6),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6))+
  ggtitle("Start of flowering")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "L")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

#Lateral spread
Lat <- read_excel(path = "../Data/3) Plot differences.xlsx", col_names = T, sheet =14)
Lat$Type <- as.factor(Lat$Type)

windows.options(width = 7, height = 3.5)
dev.new()
ggplot(Lat, aes(x=Year, y=Lat, group=Type)) +
  geom_line(aes(linetype = Category))+
  geom_point(aes(shape = Attributes),size = 2.5) +
  scale_color_manual(values = c("black", "grey55"))+
  scale_shape_manual(values = c(19,4,6))+
  scale_x_continuous(breaks = c(1993,  1995, 2001,2008,2013, 2018)) +
  scale_y_continuous(limits = c(0,0.6),breaks = c(0, 0.1,0.2,0.3,0.4,0.5,0.6))+
  ggtitle("Lateral spread")+
  theme(plot.title = element_text(face = "bold"))+
  labs(tag = "D")+
  ylab("Proportion of species")+
  theme_classic()
dev.off()

